Panda3D

Loading...
Searching...
No Matches
Macros | Functions
eggToDAE.cxx File Reference

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University. More...

`#include "eggToDAE.h"`
`#include "dcast.h"`
`#include "pandaVersion.h"`
`#include <FCDocument/FCDocument.h>`
`#include <FCDocument/FCDAsset.h>`
`#include <FCDocument/FCDTransform.h>`

Go to the source code of this file.

## Macros
#define | FROM_FSTRING(fs)
#define | FROM_MAT4(v)
#define | FROM_VEC3(v)
#define | FROM_VEC4(v)
#define | TO_COLOR(v)
#define | TO_VEC3(v)
#define | TO_VEC4(v)

## Functions
int | main (int argc, char *argv[])

## Detailed Description

PANDA 3D SOFTWARE Copyright (c) Carnegie Mellon University.

All rights reserved.

All use of this software is subject to the terms of the revised BSD license. You should have received a copy of this license along with this source code in a file named "LICENSE."

Author
  rdb

Date
  2008-10-04

Definition in file eggToDAE.cxx.

## Macro Definition Documentation

## ◆ FROM_FSTRING

#define FROM_FSTRING | ( |  | fs | ) |

Value:
(fs.c_str())

Definition at line 29 of file eggToDAE.cxx.

## ◆ FROM_MAT4

#define FROM_MAT4 | ( |  | v | ) |

Value:
(FMMatrix44(v.get_data()))

Definition at line 28 of file eggToDAE.cxx.

## ◆ FROM_VEC3

#define FROM_VEC3 | ( |  | v | ) |

Value:
(FMVector3(v[0], v[1], v[2]))

Definition at line 26 of file eggToDAE.cxx.

## ◆ FROM_VEC4

#define FROM_VEC4 | ( |  | v | ) |

Value:
(FMVector4(v[0], v[1], v[2], v[3]))

Definition at line 27 of file eggToDAE.cxx.

## ◆ TO_COLOR

#define TO_COLOR | ( |  | v | ) |

Value:
(LColor(v[0], v[1], v[2], v[3]))

Definition at line 25 of file eggToDAE.cxx.

## ◆ TO_VEC3

#define TO_VEC3 | ( |  | v | ) |

Value:
(LVecBase3d(v[0], v[1], v[2]))

Definition at line 23 of file eggToDAE.cxx.

## ◆ TO_VEC4

#define TO_VEC4 | ( |  | v | ) |

Value:
(LVecBase4d(v[0], v[1], v[2], v[3]))

Definition at line 24 of file eggToDAE.cxx.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 168 of file eggToDAE.cxx.